com.beaglebuddy.id3.v24.frame_body

## Enum ID3v24FrameBodyEqualization.InterpolationMethod

- java.lang.Object
- - java.lang.Enum<ID3v24FrameBodyEqualization.InterpolationMethod>
  - - com.beaglebuddy.id3.v24.frame_body.ID3v24FrameBodyEqualization.InterpolationMethod

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<ID3v24FrameBodyEqualization.InterpolationMethod>
  Enclosing class:
    ID3v24FrameBodyEqualization

      public static enum ID3v24FrameBodyEqualization.InterpolationMethod
      extends java.lang.Enum<ID3v24FrameBodyEqualization.InterpolationMethod>

  valid ID3v2.4 equalization interpolation methods

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `BAND` No interpolation is made.
    `LINEAR` Interpolation between adjustment points is linear.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static ID3v24FrameBodyEqualization.InterpolationMethod` | `getInterpolationMethod(int interpolationMethod)` convert an integral value to its corresponding enum.
    `java.lang.String` | `toString()`
    `static ID3v24FrameBodyEqualization.InterpolationMethod` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static ID3v24FrameBodyEqualization.InterpolationMethod[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### BAND

          public static final ID3v24FrameBodyEqualization.InterpolationMethod BAND

      No interpolation is made. A jump from one adjustment level to another occurs in the middle between two points on the EQ curve.

    - #### LINEAR

          public static final ID3v24FrameBodyEqualization.InterpolationMethod LINEAR

      Interpolation between adjustment points is linear. That is, a straight line is drawn between two points on the EQ curve.

  - ### Method Detail

    - #### values

          public static ID3v24FrameBodyEqualization.InterpolationMethod[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (ID3v24FrameBodyEqualization.InterpolationMethod c : ID3v24FrameBodyEqualization.InterpolationMethod.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static ID3v24FrameBodyEqualization.InterpolationMethod valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Enum<ID3v24FrameBodyEqualization.InterpolationMethod>`
      Returns:
        a string representation of the Interpolation Method

    - #### getInterpolationMethod

          public static ID3v24FrameBodyEqualization.InterpolationMethod getInterpolationMethod(int interpolationMethod)

      convert an integral value to its corresponding enum.
      Parameters:
        `interpolationMethod` - the integral value that is to be converted to an InterpolationMethod enum.
      Returns:
        the InterpolationMethod enum whose ordinal value corresponds to the given integral value.
      Throws:
        `java.lang.IllegalArgumentException` - if there is no InterpolationMethod enum whose ordinal value corresponds to the given integral value.